$(function()
{
    var $login = $('#login');
    var $pass = $('#password');
    var $signInButton = $('#signin_b');

    $signInButton.click(function () {
        var login = $login.val();
        var pass = $pass.val();

        Auth.signIn(login, pass)
            .fail(_ => Popup.error('Неверный логин и/или пароль!'))
            .done(() => {
                $signInButton.val('Всё отлично!');
                window.location.replace(URLdir);
            })
    });

    Auth.onAllow = function() {
        $signInButton.removeAttr('disabled');
    };

    // todo: animation
    Auth.onDeprecate = function() {
        $signInButton.attr('disabled', 'disabled');
    };


    $('#remind').click(function()
    {

        $.post(URLdir + 'handler/sign/remindPassword', {'email': $('#email').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#remind').val('Проверьте почту!');
                window.location.replace(URLdir);
            }
            else
            {
                EventInspector.error(data.error);
            }
        });

    });

    $('#changepass_b').click(function()
    {

        $.post(URLdir + 'handler/sign/changePassword', {
            'password': $('#password').val(),
            'confirm_password': $('#confirm_password').val(),
            'token': $('#token').val()
        },
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#changepass_b').val('Пароль успешно изменен!');
                window.location.replace(URLdir);
            }
            else
            {
                $('input').each(function(){
                    $(this).removeClass('wrong');
                });
                $('#errors').html('<ul>');
                $.each(data.errors, function(i){
                    EventInspector.error(data.errors[i]);
                    $('#' + i).addClass('wrong');
                });
            }
        });

    });

    $('#signup_b').click(function()
    {

        $.post(URLdir + 'handler/sign/up',
            {'activation_code': $('#activation_code').val(),
            'login': $('#login').val(),
            'password': $('#password').val(),
            'confirm_password': $('#confirm_password').val(),
            'email': $('#email').val(),
            'confirm_email': $('#confirm_email').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#signup_b').val('Всё отлично!');
                window.location.replace(URLdir);
            }
            else
            {
                $('input').each(function(){
                    $(this).removeClass('wrong');
                });
                $('#errors').html('<ul>');
                $.each(data.errors, function(i){
                    EventInspector.error(data.errors[i]);
                    $('#' + i).addClass('wrong');
                });
            }
        });
    });

    $(document).keypress(function(event){
    if(event.keyCode==13)
    {
            if($('#login').is(':focus'))
            {
                $('#password').focus();
            }
            else if($('#password').is(':focus'))
            {
                $('#signin_b').trigger('click');
            }
            else if($('#email').is(':focus'))
            {
                $('#email').siblings('input[type=button]').trigger('click');
            }
        }
    });
});
